Hi Ralph,

> -----Original Message-----
> From: meta-xilinx-boun...@yoctoproject.org [mailto:meta-xilinx-
> boun...@yoctoproject.org] On Behalf Of Ralph Williamson
> Sent: Sunday, August 06, 2017 11:55 AM
> To: meta-xilinx@yoctoproject.org
> Subject: Re: [meta-xilinx] noob confusion
>
> I tried to build "petalinux-image" using the instructions on the readme, but 
> I get this
> error.
> "rkwilliamson@ubuntu:/opt/poky/build$ bitbake petalinux-image
> ERROR: ParseError at /opt/poky/meta/conf/distro/defaultsetup.conf:7: Could not
> include required file conf/distro/include/tcmode-linaro.inc"
>
>
> BTW, I changed added meta-poky layer DISTRO ?= "poky" to DISTRO ?= 
> "petalinux".
> That was not in the instructions but I got an errors without meta-poky poky 
> distro
>

Since you are new and starting I would recommend the below flow.

Start with using the manifest file
https://github.com/Xilinx/yocto-manifests/tree/rel-v2017.2
See some instructions here:
http://www.wiki.xilinx.com/Yocto+OSL+Image+build

Whether you use poky or any other distro is dependent on your needs. Xilinx 
layers include petalinux as distro which requires meta-linaro for aarch64/arm 
toolchain.

Thanks,
Manju




This email and any attachments are intended for the sole use of the named 
recipient(s) and contain(s) confidential information that may be proprietary, 
privileged or copyrighted under applicable law. If you are not the intended 
recipient, do not read, copy, or forward this email message or any attachments. 
Delete this email message and any attachments immediately.

-- 
_______________________________________________
meta-xilinx mailing list
meta-xilinx@yoctoproject.org
https://lists.yoctoproject.org/listinfo/meta-xilinx

Reply via email to